Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1794889 - dash to dock broken in Rawhide (f32)
Summary: dash to dock broken in Rawhide (f32)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-dash-to-dock
Version: 32
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-25 03:48 UTC by Ian Laurie
Modified: 2020-04-22 00:04 UTC (History)
2 users (show)

Fixed In Version: gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 gnome-shell-extension-dash-to-dock-67-5.20200224git5658b5c.fc32 gnome-shell-extension-dash-to-dock-67-6.20200323git70f1db8.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-20 20:33:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Partial log from journalctl (deleted)
2020-01-27 00:59 UTC, Ian Laurie
no flags Details
Capture from fc32 beta (deleted)
2020-02-25 21:25 UTC, Ian Laurie
no flags Details
Capture from fc31 (deleted)
2020-02-25 21:26 UTC, Ian Laurie
no flags Details
gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 (deleted)
2020-02-28 07:48 UTC, Ian Laurie
no flags Details
Fedora 32 beta icon missing (deleted)
2020-04-07 03:21 UTC, Ian Laurie
no flags Details
Rawhide shows icon ok (deleted)
2020-04-07 03:22 UTC, Ian Laurie
no flags Details

Description Ian Laurie 2020-01-25 03:48:45 UTC
Description of problem:
gnome-shell-extension-dash-to-dock-67-1.fc32.noarch is not working in Rawhide with latest updates running gnome-shell-3.35.3-2.fc32.x86_64.

Version-Release number of selected component (if applicable):
gnome-shell-extension-dash-to-dock-67-1.fc32.noarch
gnome-shell-3.35.3-2.fc32.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Fresh install of Rawhide Workstation (Fedora-Everything-netinst-x86_64-Rawhide-20200117.n.0.iso)
2. Install Dash to Dock.
3.

Actual results:
Dash to Dock is installed but not working.  Would be good to have it working before the f32 fork point.

Comment 1 Michael DePaulo 2020-01-26 15:44:24 UTC
Hi,

I am assuming that this issue is casued by dash-to-dock 67 only being compatible with GNOME 3.34. dash-to-dock must be upgraded every time a new GNOME version is released.


It looks like upstream (including 3v1n0, who developed GNOME 3.34 support on a branch & PR) have not started developing GNOME 3.36 compatibility yet. (3.35 is the development branch for 3.36 stable.)


After looking hard for a 3.35 / 3.36 compatible dash-to-dock branch, I submitted a bug report requesting one:
https://github.com/micheleg/dash-to-dock/issues/1084

-Mike

Comment 2 Ian Laurie 2020-01-27 00:59:36 UTC
Created attachment 1655489 [details]
Partial log from journalctl

Please note the log contains errors from more than one shell extension (background-logo as well as dash-to-dock).

If you need more please let me know.

Comment 3 Ben Cotton 2020-02-11 17:25:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 4 Michael DePaulo 2020-02-25 17:08:18 UTC
@ilaurie : A dev created a patchset as a proposed PR. I released an update with it; please test:
https://bodhi.fedoraproject.org/updates/FEDORA-2020-f4ab471f85

Comment 5 Ian Laurie 2020-02-25 21:25:51 UTC
Created attachment 1665729 [details]
Capture from fc32 beta

Capture from fc32 beta showing incorrect appearance.

Comment 6 Ian Laurie 2020-02-25 21:26:40 UTC
Created attachment 1665730 [details]
Capture from fc31

Capture from fc31 showing how it should look.

Comment 7 Ian Laurie 2020-02-25 21:27:35 UTC
Thanks Michael, it is better than nothing but it still isn't working correctly.  Issues are as follows:

(a) By default it is the exact same size and appearance as when you hit "Activities", traditionally by default it has been smaller to better suit large monitors.
(b) The settings dialog boxes won't launch, so you cannot adjust the appearance and behavior.  I think many people make it even smaller than the default by tweaking it.

I have attached a screen cap from my fc32-beta and also from fc31 showing correct appearance and also showing the settings (which won't launch on fc32 beta).

Comment 8 Michael DePaulo 2020-02-26 04:00:02 UTC
@ilaurie: Please provide that feedback upstream:
https://github.com/micheleg/dash-to-dock/pull/1097

Most likely, that is a bug when this patchset is applied against the vanilla dash-to-dock branch, rather than the ubuntu branch of upstream.

Comment 9 Michael DePaulo 2020-02-27 23:01:24 UTC
@ilaurie: New patch by them, and new F32 update by me.

https://bodhi.fedoraproject.org/updates/FEDORA-2020-58f0e9ce86

Please confirm that it addresses:
    (a) By default it is the exact same size and appearance as when you hit "Activities", traditionally by default it has been smaller to better suit large monitors.

Comment 10 Fedora Update System 2020-02-28 01:26:44 UTC
gnome-shell-extension-dash-to-dock-67-3.20200224git5658b5c.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f4ab471f85

Comment 11 Fedora Update System 2020-02-28 01:27:38 UTC
gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-58f0e9ce86

Comment 12 Ian Laurie 2020-02-28 07:47:01 UTC
It's getting better.  If anything it is a bit too small by default now, although once the settings for it work again that should be fixable.  

It is supposed to be centered in the screen however.  As it is now, the upper edge point seems to be the same as when it was much larger, so it isn't positioning itself correctly yet.  This issue was reported upstream in the context of it being at the bottom of the screen where it was biased way over to the left rather than being centered. Same issue as I have.

I'll attach a a screen shot.

Comment 13 Ian Laurie 2020-02-28 07:48:25 UTC
Created attachment 1666338 [details]
gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32

gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 not centered correctly.  Settings still non-functional in this version.

Comment 14 Ian Laurie 2020-02-28 10:32:05 UTC
Actually after more playing there is another regression.  

If you disable the dash-to-dock, then hit "Activities" the sizing for that is very small as well.  It doesn't revert to its normal size until you log out and back in again.... on Fedora 31 the settings are somehow isolated between the stand alone dash-to-dock versus the one brought up by the "Activities".  

Of course "Activities" doesn't bring up a dash-to-dock if the stand alone one is active.  Fedora 31 behavior is the benchmark really and the Enterprise products (both 7 and 8) work that way also.

Comment 15 Michael DePaulo 2020-03-03 18:18:15 UTC
@ilaurie: Are you one of the people commenting here?
https://github.com/micheleg/dash-to-dock/pull/1097

If not, please comment there.

As soon as they release additional/revised patches, I will release a new update.

Comment 16 Michael DePaulo 2020-03-03 18:20:11 UTC
@ilaurie, actually, it looks like there are more commits now.

I will apply them and release a new update.

Comment 17 Fedora Update System 2020-03-03 18:42:41 UTC
FEDORA-2020-633701de74 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-633701de74

Comment 18 Michael DePaulo 2020-03-03 18:43:54 UTC
@ilaurie, here's the new update:
https://bodhi.fedoraproject.org/updates/FEDORA-2020-633701de74

the several new commits were actually pushed 5 days ago.

Comment 19 Ian Laurie 2020-03-03 23:48:20 UTC
Thanks Michael, most of the issues are resolved.  Only problem I can see now is the icons are shifted within the dock and most of them become pushed out of the dock.  Comment by ColinKinloch describes the issue perfectly with a screen shot.  If I find anything not already covered I'll comment over there.  It's getting better, we're almost there.

Comment 20 Fedora Update System 2020-03-04 20:14:15 UTC
gnome-shell-extension-dash-to-dock-67-5.20200224git5658b5c.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-633701de74

Comment 21 Ian Laurie 2020-03-05 08:52:32 UTC
Note it still isn't working correctly.  Icon positioning problem still needs to be addressed.

Comment 22 Ian Laurie 2020-03-15 20:57:17 UTC
It looks like there are still a couple of outstanding issues... icons cannot be reordered if the dock is at the bottom of the screen, and you cannot "click through" the dock, but apart from that it's working well now.  

For people who have the dock on the left side, the first issue doesn't apply, and the second issue is less important, because the dock probably isn't going to be extended beyond the icons in that mode.

It's probably worth doing another Fedora build so it can push through in time for the official beta release.  I think it will reduce the likelihood of a large number of duplicate bug reports since a lot of people use this extension.

Comment 23 Fedora Update System 2020-03-16 20:17:06 UTC
gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-03-16 20:20:58 UTC
gnome-shell-extension-dash-to-dock-67-5.20200224git5658b5c.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-03-16 20:29:47 UTC
gnome-shell-extension-dash-to-dock-67-4.20200224git5658b5c.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-03-16 20:32:24 UTC
gnome-shell-extension-dash-to-dock-67-5.20200224git5658b5c.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Ian Laurie 2020-03-16 21:02:43 UTC
This bug auto-closed and there are outstanding issues still to be fixed upstream.

Comment 28 Fedora Update System 2020-04-06 17:09:27 UTC
FEDORA-2020-63860763a4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63860763a4

Comment 29 Michael DePaulo 2020-04-06 17:10:34 UTC
@ilaurie here's the new update with the latest patches:
https://bodhi.fedoraproject.org/updates/FEDORA-2020-63860763a4

Comment 30 Fedora Update System 2020-04-07 02:28:05 UTC
FEDORA-2020-63860763a4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-63860763a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63860763a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Ian Laurie 2020-04-07 03:15:58 UTC
gnome-shell-extension-dash-to-dock-67-6.20200323git70f1db8.fc32 and gnome-shell-extension-dash-to-dock-67-6.20200323git70f1db8.fc33 are both generally working for me in Fedora 32 beta and Rawhide.

There is one minor glitch in Fedora 32 however that I don't have in Rawhide.  When you select to configure an extension, the config dialogue box brings up another icon in the dash-to-dock in Rawhide as it should, but in Fedora 32 beta only a space is made for the icon, the icon itself is missing.  This could be as simple as a missing png file in a package somewhere.

Comment 32 Ian Laurie 2020-04-07 03:21:38 UTC
Created attachment 1676790 [details]
Fedora 32 beta icon missing

Fedora 32 beta icon missing

Comment 33 Ian Laurie 2020-04-07 03:22:43 UTC
Created attachment 1676791 [details]
Rawhide shows icon ok

Rawhide shows icon ok

Comment 34 Fedora Update System 2020-04-09 14:44:33 UTC
FEDORA-2020-63860763a4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 35 Michael DePaulo 2020-04-09 15:42:39 UTC
@ilaurie: I'm going to close this for now, partially because I might request a F32 "final freeze" exception for the final version of this errata (gnome-shell-extension-dash-to-dock-67-6.20200323git70f1db8.fc32), it seems to have the prior version.

I'll open up a separate bug for your icon issue, I just investigated it.

Comment 36 Michael DePaulo 2020-04-09 16:08:38 UTC
Created bug for that icon issue: https://bugzilla.redhat.com/show_bug.cgi?id=1822690

Comment 37 Ian Laurie 2020-04-18 05:29:10 UTC
Sadly we have regression, the dash-to-dock no longer has adjustable icon size, and the icons are really tiny.  We've here before.

The update that broke things again is gnome-shell-extension-dash-to-dock-67-8.20200415git9c13203.fc32.noarch.

It is broken in f32 and also Rawhide.

Comment 38 Ian Laurie 2020-04-18 05:51:22 UTC
Downgrading f32 to gnome-shell-extension-dash-to-dock-67-7.20200408git77bc707.fc32.noarch fixes the issue.

    For f32 download from here:  https://koji.fedoraproject.org/koji/buildinfo?buildID=1490454

Downgrading Rawhide to gnome-shell-extension-dash-to-dock-67-7.20200408git77bc707.fc33.noarch fixes the issue.

    For Rawhide download from here:  https://koji.fedoraproject.org/koji/buildinfo?buildID=1491831

Comment 39 Ian Laurie 2020-04-20 20:33:22 UTC
gnome-shell-extension-dash-to-dock-68-1.fc32 fixes it.

Comment 40 Michael DePaulo 2020-04-21 14:42:18 UTC
ilaurie: Yeah, I reported the icon size issue in the upstream PR, with a screenshots.

It was fixed not as part of the PR, but as a separate PR that made it into v68.

Comment 41 Michael DePaulo 2020-04-21 14:48:44 UTC
Also, the version in Fedora 32's release repo will be:
gnome-shell-extension-dash-to-dock-67-6.20200323git70f1db8.fc32

Which is good enough IMHO.

The launch day patch will be either:
gnome-shell-extension-dash-to-dock-67-7.20200408git77bc707.fc32.noarch
or:
gnome-shell-extension-dash-to-dock-68-1.fc32 

Please give feedback on 68-1 to make it the launch day patch (or not):
https://bodhi.fedoraproject.org/updates/FEDORA-2020-c0604e395a

Comment 42 Ian Laurie 2020-04-22 00:04:52 UTC
Hopefully 68 makes it through in time, I gave it Karma yesterday.


Note You need to log in before you can comment on or make changes to this bug.